package com.livelike.livelikeandroidchallenge

import android.os.Bundle
import androidx.activity.viewModels
import androidx.appcompat.app.AppCompatActivity
import androidx.lifecycle.lifecycleScope
import com.livelike.livelikeandroidchallenge.databinding.ActivityMainBinding

class AppTestActivity : AppCompatActivity() {

    private val testViewModel: FlickrServiceTestViewModel by viewModels()

    private val views: ActivityMainBinding by lazy {
        ActivityMainBinding.inflate(layoutInflater)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(views.root)

        testViewModel.photos.observe(this) { photosTitles ->
            views.textView.text = photosTitles
        }

        lifecycleScope.launchWhenCreated {
            testViewModel.getRecentPhotosTitles()
        }
    }
}