package com.livelike.livelikeandroidchallenge

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.livelike.flickersearchlibrary.Flickr
import kotlinx.coroutines.launch

class FlickrServiceTestViewModel : ViewModel() {

    private val _photosTitles = MutableLiveData<String>()
    val photos: LiveData<String> = _photosTitles

    fun getRecentPhotosTitles() = viewModelScope.launch {
        val flickrPhotos = Flickr.getRecentPhotos(10)
        var photosTitles = "Recent photos titles:\n"
        flickrPhotos.onEach { photoItem ->
            photosTitles = photosTitles.plus(photoItem.title).plus('\n')
        }
        _photosTitles.postValue(photosTitles)
    }

}